function t = textload(file,delim)
% t = textload(file,delim)
% creates a cell array of cell array of strings.
% file  : string of file name
% delim : word delimiter (if omitted, white spaces)
% Thu Sep 30 13:42:22 JST 2004 dmochiha@slt.atr.jp
% $Id: textload.m,v 1.3 2004/09/30 07:18:17 dmochiha Exp $

% premalloc
m = wcl(file);
t = cell(1, floor(m * 3 / 4));

% open file
fid = fopen(file,'r');
if (fid == -1)
  error(sprintf('textload: can''t open %s.\n',file));
end
fprintf(1,'reading %s..\n',file);
% read file
n = 0;
while ~feof(fid)
  l = fgetl(fid);
  if nargin < 2
    s = split(l); % default splitting
  else
    s = split(l,delim);
  end
  if length(s) > 0
    n = n + 1;
    t{n} = s;
    fprintf(1,'loading lines %d/%d..\r',n,m);
  end
end
% close file
fclose(fid);
fprintf(1,'\ndone.\n');

% check too sparse in content
if (size(t,2) > n)
  newt = cell(1,n);
  newt(1:n) = t(1:n);
  t = newt;
end

% End of file.
